#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  gtksourceview4-4.8.4

- Next

  imlib2-1.12.6

- Up
- Home

# gtksourceview5-5.20.0

## Introduction to GtkSourceView

The GtkSourceView package contains a library used for extending the GTK text functions to include syntax highlighting.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gtksourceview/5.20/gtksourceview-5.20.0.tar.xz

- Download MD5 sum: 08a754c0b10c05c6e74f77695e6e04ce

- Download size: 1.2 MB

- Estimated disk space required: 155 MB

- Estimated build time: 0.2 SBU (with tests; both using parallelism=4)

### GtkSourceView Dependencies

#### Required

GTK-4.22.4

#### Recommended

GLib-2.88.0 (with GObject Introspection) and libxml2-2.15.3

#### Optional

Gi-DocGen-2026.1, Vala-0.56.19, Valgrind-3.26.0, Vulkan-Loader-1.4.341.0, and sysprof

## Installation of GtkSourceView

Install GtkSourceView by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D documentation=true`: Use this switch if you have Gi-DocGen-2026.1 installed and wish to generate the API documentation.

`-D sysprof=true`: Use this switch if you have sysprof installed and wish to build with sysprof profiler support.

## Contents

Installed Programs: None
Installed Libraries: libgtksourceview-5.so
Installed Directories: /usr/include/gtksourceview-5 and /usr/share/gtksourceview-5

### Short Descriptions

`libgtksourceview-5.so` | contains function extensions for the GtkTextView widget

- Prev

  gtksourceview4-4.8.4

- Next

  imlib2-1.12.6

- Up
- Home